Package x2go :: Module mimebox

[frames] | no frames]

# Module mimebox

source code

X2GoMIMEboxQueue sets up a thread that listens for incoming files that shall be opened locally on the client.

For each file that gets dropped in the MIME box an individual thread is started (X2GoMIMEboxJob) that handles the processing of the incoming file.

Classes
| X2GoMIMEboxQueue If the X2Go MIME box is supported in a particaluar X2GoSession instance this class provides a sub-thread for handling incoming files in the MIME box directory.
| X2GoMIMEboxJob For each X2Go MIME box job we create a sub-thread that let's the MIME box job be processed in the background.

Functions

x2go_mimeboxjob_handler(mimebox_file=None, mimebox_extensions=`[``]`, mimebox_action=None, parent_thread=None, logger=None) This function is called as a handler function for each incoming X2Go MIME box file represented by the class X2GoMIMEboxJob. | source code

Variables
| __NAME__ = ``'``x2gomimeboxqueue-pylib``'``
| __package__ = ``'``x2go``'``

Function Details

### x2go_mimeboxjob_handler(mimebox_file=None, mimebox_extensions=`[``]`, mimebox_action=None, parent_thread=None, logger=None)

source code

This function is called as a handler function for each incoming X2Go MIME box file represented by the class X2GoMIMEboxJob.

Parameters:
  - `mimebox_file` (`str`) - MIME box file name as placed in to the X2Go MIME box spool directory
  - `mimebox_action` (`X2GoMIMEboxActionXXX` nstance) - an instance of either of the possible `X2GoMIMEboxActionXXX` classes
  - `parent_thread` (`obj`) - the X2GoMIMEboxQueue thread that actually created this handler's X2GoMIMEboxJob instance
  - `logger` (`obj`) - the X2GoMIMEboxQueue's logging instance